# ]po[ Resource Management & Portfolio Planner
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ Resource Management & Portfolio Planner:

<p><p>This package provides project managers and PMOs/project directors with the tools necessary to plan both individual projects and portfolios of projects. It provides one report for &quot;manual resource leveling&quot; that shows the assignment of resources across all projects in the company. It also includes information about personal and bank holidays. Direct links to user and projects allow to quickly correct over allocations. <p>In addition to that the ]po[ team currently works on a <strong>Portfolio Planner</strong>. The code is not publicly available yet (2015-11-19). Please <a href="https://www.project-open.com/en/company/project-open-contact.html">contact<span class="external"> </span></a> us if you want to participate in the development or provide additional funding to get this feature production ready ahead of the planned release date. <p>You can preview the Portfolio Planner on our <a href="https://po41demo.project-open.net/become?user_id=8864&amp;amp;url=%2Fintranet-portfolio-planner%2Findex%3Freport_start_date%3D2010-11-01%26report_end_date%3D2016-11-01%26report_granularity%3Dweek">demo server<span class="external"> </span></a><p><a href="https://po41demo.project-open.net/become?user_id=8864&amp;url=/intranet-portfolio-planner/index?report_start_date=2010-11-01&amp;report_end_date=2016-11-01&amp;report_granularity=week" target="_blank" title="Demo Server"><img alt="Portfolio Planner Demo Server" src="https://www.project-open.com/images/manual_screenshots/intranet_portfolio_planner_demo_server.png" /></a><p>There&#39;s also a first video available on our YouTube channel: <p><iframe frameborder="0" height="315" src="https://www.youtube.com/embed/SrGheXCaqa8" width="560"></iframe><p><h3>Related packages: </h3><p><ul><li>[TaskJuggler Support] for future automatic resource leveling.</ul><h3>Tutorials: </h3><ul><li><a href="/en/resource-capacity-management-tutorial">Resource and Capacity Management</a></ul><h3>Processes: </h3><ul><li><a href="/en/process-pm-resource-management">Resource Management Process</a> Resource Management Process</ul><p><p>

# Online Reference Documentation

## References:



## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/lib/employee-assignment-pie-chart.adp">lib/employee-assignment-pie-chart.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/lib/employee-assignment-pie-chart.tcl">lib/employee-assignment-pie-chart.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1342656&amp;path=packages/intranet-resource-management/tcl/intranet-resource-management-procs-hour.tcl">tcl/intranet-resource-management-procs-hour.tcl</a></b></td><td></td><td>Hourly report about resource management. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1342656&amp;path=packages/intranet-resource-management/tcl/intranet-resource-management-procs-percentage.tcl">tcl/intranet-resource-management-procs-percentage.tcl</a></b></td><td></td><td>Resource management report by percentage. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1342656&amp;path=packages/intranet-resource-management/tcl/intranet-resource-management-procs.tcl">tcl/intranet-resource-management-procs.tcl</a></b></td><td></td><td>Report on and modify resource assignments to tasks of various types. </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_absence_working_days_weekend_only">im_absence_working_days_weekend_only</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_date_components_to_julian">im_date_components_to_julian</a></b></td><td></td><td>Takes an entry from top_vars/top_entry and tries to figure out the julian date from this </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_date_julian_to_components">im_date_julian_to_components</a></b></td><td></td><td>Takes a Julian data and returns an array of its components: Year, MonthOfYear, DayOfMonth, WeekOfYear, Quarter </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_date_julian_to_components_helper">im_date_julian_to_components_helper</a></b></td><td></td><td>Takes a Julian data and returns an array of its components: Year, MonthOfYear, DayOfMonth, WeekOfYear, Quarter </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_date_julian_to_week_julian">im_date_julian_to_week_julian</a></b></td><td></td><td>Takes a Julian data and returns the julian date of the week&#39;s day &quot;1&quot; (=Monday) </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_collapse_left_dimension">im_resource_management_collapse_left_dimension</a></b></td><td></td><td>Expects a list-of-lists composed of integer values representing cost centers, users, projects and tasks. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_cost_centers">im_resource_management_cost_centers</a></b></td><td></td><td>Returns a Hash with the list of all cost_centers in the system with name and the &quot;perpetually&quot; available users (member of the cost_center). </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_smoothen_left_dimension">im_resource_management_smoothen_left_dimension</a></b></td><td></td><td>Expects a list-of-lists composed of integer values representing cost centers, users, projects and tasks. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_sort_left_dimension">im_resource_management_sort_left_dimension</a></b></td><td></td><td>Expects a list-of-lists composed of integer values representing cost centers, users, projects and tasks. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_subtotals_left_dimension">im_resource_management_subtotals_left_dimension</a></b></td><td></td><td>Adds a subtotal line at the end of every department or user </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_top_entry_is_weekend_p">im_resource_management_top_entry_is_weekend_p</a></b></td><td></td><td>Returns true if the top entry refers to a weekend. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_top_scale_from_julian">im_resource_management_top_scale_from_julian</a></b></td><td></td><td>Calculate the date component for the julian date, depending on top_vars </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_management_user_absences">im_resource_management_user_absences</a></b></td><td></td><td>Returns a Hash with the list of all absences in the interval. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_mgmt_employee_assignment_pie_chart">im_resource_mgmt_employee_assignment_pie_chart</a></b></td><td></td><td>Returns a HTML component with a pie chart of user assignments </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_mgmt_get_bar_color_hour">im_resource_mgmt_get_bar_color_hour</a></b></td><td></td><td>Returns a color code considering package parameter etc. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_mgmt_resource_planning_add_member_component">im_resource_mgmt_resource_planning_add_member_component</a></b></td><td></td><td>Component that returns a formatted HTML table. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_mgmt_resource_planning_cell_hour">im_resource_mgmt_resource_planning_cell_hour</a></b></td><td></td><td>Takes a percentage value and returns a formatted HTML ready to be displayed as part of a cell. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_mgmt_resource_planning_hour">im_resource_mgmt_resource_planning_hour</a></b></td><td></td><td>Creates Resource Report </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_mgmt_resource_planning_percentage">im_resource_mgmt_resource_planning_percentage</a></b></td><td></td><td>Creates Resource Report </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342656&amp;proc=im_resource_mgmt_resource_planning_percentage_absences">im_resource_mgmt_resource_planning_percentage_absences</a></b></td><td></td><td>Extract absences into a hash </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-resource-management&amp;url=postgresql/intranet-resource-management-create.sql&amp;version_id=1342656">sql/postgresql/intranet-resource-management-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-resource-management&amp;url=postgresql/intranet-resource-management-drop.sql&amp;version_id=1342656">sql/postgresql/intranet-resource-management-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-resource-management&amp;url=postgresql/upgrade/upgrade-5.0.1.0.0-5.0.1.0.1.sql&amp;version_id=1342656">sql/postgresql/upgrade/upgrade-5.0.1.0.0-5.0.1.0.1.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-resource-management&amp;url=postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql&amp;version_id=1342656">sql/postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-resource-management&amp;url=postgresql/upgrade/upgrade-5.0.2.4.3-5.0.2.4.4.sql&amp;version_id=1342656">sql/postgresql/upgrade/upgrade-5.0.2.4.3-5.0.2.4.4.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/employee-assignment-pie-chart.json.tcl">employee-assignment-pie-chart.json.tcl</a></b></td><td>Datasource for employee assignment Sencha pie chart.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/index.tcl">index.tcl</a></b></td><td>Offers all around resource management</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-advanced.adp">resources-planning-advanced.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-advanced.tcl">resources-planning-advanced.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-liwo.adp">resources-planning-liwo.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-liwo.tcl">resources-planning-liwo.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-percentage-klaus.adp">resources-planning-percentage-klaus.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-percentage-klaus.tcl">resources-planning-percentage-klaus.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-planned-hours.adp">resources-planning-planned-hours.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning-planned-hours.tcl">resources-planning-planned-hours.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning.adp">resources-planning.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342656&amp;path=packages/intranet-resource-management/www/resources-planning.tcl">resources-planning.tcl</a></b></td><td></td></tr></table>

